<div class="wrapper">

  <div class="stats-header">
<!--    <div class="stat">
      <a>Memory Bytes: {{getTfMemoryStats().numBytes}}</a>
    </div>
    <div class="stat">
      <a>GPU Memory Bytes: {{getTfMemoryStats().numBytesInGPU}}</a>
    </div>
    <div class="stat">
      <a>Number of Tensors: {{getTfMemoryStats().numTensors}}</a>
    </div>-->
  </div>


  <div class="dropper-zone">
    <ngx-file-drop dropZoneLabel="Drop prediction files here" (onFileDrop)="predictDropped($event)"
                   (onFileOver)="fileOver($event)" (onFileLeave)="fileLeave($event)" dropZoneClassName="ngx-file-drop__drop-zone-predict" >
      <ng-template ngx-file-drop-content-tmp let-openFileSelector="openFileSelector">
        <a style="color: #cf9607;">Drop an image file to get a prediction.</a>
<!--        <button type="button" (click)="openFileSelector()">Browse Files</button>-->
      </ng-template>
    </ngx-file-drop>
  </div>

  <mat-card *ngIf="validationFiles.length > 0" class="prediction-card">
    <mat-card-header>
      <mat-card-title>Prediction Result
      </mat-card-title>
      <mat-card-subtitle >

      </mat-card-subtitle>

    </mat-card-header>
    <mat-card-content class="prediction-card-content">

      <div class="validation-results-container">
        <div></div>
        <div class="list-group" style="text-align: left">
          <div class="list-group-item" *ngFor="let prediction of predictions">
            {{prediction.className}} - {{prediction.probability}}
          </div>
        </div>
        <div></div>
      </div>
      <div class="validation-image-container">
        <img #chosenImage [src]="imageSrc"  class="prediction-img"/>
      </div>
      <div class="validation-results-container">

      </div>


    </mat-card-content>
    <mat-card-footer>

    </mat-card-footer>
  </mat-card>


</div>
